$scope.baseData = new kendo.data.DataSource({
    transport: {
        read: {
            url: "http://localhost:8001/cloud/GetBaseData",
            dataType: "json"
        }
    },
    requestEnd: function(e){
        var response = e.response;
        var type = e.type;
        console.log(type);
        console.log(response.length);
        data.InsertInstallSite(response);
    },
    sort: {
        field: "name",
        dir: "desc"
    },
    serverFiltering: false
});

//data.InsertInstallSite($scope.baseData.data);
//console.log($scope.baseData);
//console.log(JSON.stringify($scope.baseData.data))

$("#MobilelistView").kendoMobileListView({
    dataSource: $scope.baseData,
    template: kendo.template($("#mobile-listview-filtering-template").text()),
    filterable:{
        field: "name",
        operator:"startswith"
    }

});